Opensourcetechブログ

OpensourcetechによるNGINX/Zabbix/Neo4j/Linuxなどオープンソース技術に関するブログです。

SELinuxのトラブルシュート(setroubleshoot / setools / sealeart)

こんにちは、LinuCエバンジェリストこと、鯨井貴博@opensourcetechです。

 

SELinuxのトラブルシュート方法のまとめです。

 

 

SELinuxの設定

 SELinuxの設定ファイルは、/etc/sysconfig/selinuxです。

7行目にある「SELINUX=enforcing」がSELinuxが有効にするもので、

disabled(無効化)・permissive(無効化だが、ロギングのみ)と設定できます。

[root@localhost ~]# vi /etc/sysconfig/selinux
[root@localhost ~]# cat -n /etc/sysconfig/selinux
1
2 # This file controls the state of SELinux on the system.
3 # SELINUX= can take one of these three values:
4 # enforcing - SELinux security policy is enforced.
5 # permissive - SELinux prints warnings instead of enforcing.
6 # disabled - No SELinux policy is loaded.
7 SELINUX=enforcing
8 #SELINUX=permissive
9 # SELINUXTYPE= can take one of three two values:
10 # targeted - Targeted processes are protected,
11 # minimum - Modification of targeted policy. Only selected processes are protected.
12 # mls - Multi Level Security protection.
13 SELINUXTYPE=targeted
14
15

 

 

 

ログを見る

/var/log/auditディレクトリ内にある autid.logを確認します。

ログの内容を確認し 対応すればいいのですが、少しハードルが高そうです。

例えば 以下のログ、「httpdが実行されている際に、権限に引っかかっているような気がする」というところまでは想像はつきますが、どう対応しよう? かと考えてしまいます。

6067 type=SYSCALL msg=audit(1538928070.190:136): arch=c000003e syscall=42 success=no exit=-115 a0=b a1=558abae413d0 a2=10 a3=5bba2dc6 items=0 ppid=991 pid=12195 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)

[root@localhost ~]# cd /var/log/audit/
[root@localhost audit]# ls
audit.log
[root@localhost audit]# cat -n audit.log
1 type=DAEMON_START msg=audit(1538734114.491:3626): op=start ver=2.8.1 format=raw kernel=3.10.0-862.el7.x86_64 auid=4294967295 pid=604 uid=0 ses=4294967295 subj=system_u:system_r:auditd_t:s0 res=success
2 type=CONFIG_CHANGE msg=audit(1538734114.670:5): audit_backlog_limit=8192 old=64 auid=4294967295 ses=4294967295 subj=system_u:system_r:unconfined_service_t:s0 res=1
3 type=CONFIG_CHANGE msg=audit(1538734114.670:6): audit_failure=1 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:unconfined_service_t:s0 res=1
4 type=SERVICE_START msg=audit(1538734114.673:7): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=auditd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
5 type=SYSTEM_BOOT msg=audit(1538734114.687:8): pid=627 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg=' comm="systemd-update-utmp" exe="/usr/lib/systemd/systemd-update-utmp" hostname=? addr=? terminal=? res=success'
6 type=SERVICE_START msg=audit(1538734114.690:9): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-update-utmp comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
7 type=SERVICE_START msg=audit(1538734114.701:10): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=irqbalance comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
.
.
.
省略
.
.
.
6063 type=CRED_REFR msg=audit(1538928061.668:133): pid=12786 uid=0 auid=0 ses=3 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="root" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
6064 type=CRED_DISP msg=audit(1538928061.839:134): pid=12786 uid=0 auid=0 ses=3 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="root" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
6065 type=USER_END msg=audit(1538928061.842:135): pid=12786 uid=0 auid=0 ses=3 subj=system_u:system_r:crond_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_loginuid,pam_keyinit,pam_limits,pam_systemd acct="root" exe="/usr/sbin/crond" hostname=? addr=? terminal=cron res=success'
6066 type=AVC msg=audit(1538928070.190:136): avc: denied { name_connect } for pid=12195 comm="httpd" dest=10051 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:zabbix_port_t:s0 tclass=tcp_socket
6067 type=SYSCALL msg=audit(1538928070.190:136): arch=c000003e syscall=42 success=no exit=-115 a0=b a1=558abae413d0 a2=10 a3=5bba2dc6 items=0 ppid=991 pid=12195 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm="httpd" exe="/usr/sbin/httpd" subj=system_u:system_r:httpd_t:s0 key=(null)
6068 type=PROCTITLE msg=audit(1538928070.190:136): proctitle=2F7573722F7362696E2F6874747064002D44464F524547524F554E44

 

 

setroubleshoot/setools(ツール)を使う

そこで役に立つのが、SELinux関連のツールです。

yumなどのパッケージ管理ツールを使って、setroubleshoot / setoolsをインストールします。

[root@localhost audit]# yum install setroubleshoot setools
読み込んだプラグイン:fastestmirror
Loading mirror speeds from cached hostfile
* base: ftp.iij.ad.jp
* extras: ftp.iij.ad.jp
* updates: ftp.iij.ad.jp
base | 3.6 kB 00:00
extras | 3.4 kB 00:00
updates | 3.4 kB 00:00
zabbix | 2.9 kB 00:00
zabbix-non-supported | 951 B 00:00
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> パッケージ setools.x86_64 0:3.3.8-2.el7 を インストール
--> 依存性の処理をしています: setools-libs-tcl = 3.3.8-2.el7 のパッケージ: setools-3.3.8-2.el7.x86_64
--> 依存性の処理をしています: setools-libs = 3.3.8-2.el7 のパッケージ: setools-3.3.8-2.el7.x86_64
--> 依存性の処理をしています: setools-gui = 3.3.8-2.el7 のパッケージ: setools-3.3.8-2.el7.x86_64
--> 依存性の処理をしています: setools-console = 3.3.8-2.el7 のパッケージ: setools-3.3.8-2.el7.x86_64
---> パッケージ setroubleshoot.x86_64 0:3.2.29-3.el7 を インストール
--> 依存性の処理をしています: setroubleshoot-server = 3.2.29-3.el7 のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: pygtk2-libglade >= 2.9.2 のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: xdg-utils のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libreport-python のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libreport-gtk のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: gtk2 のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: desktop-file-utils のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: desktop-file-utils のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libpangoft2-1.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libpangocairo-1.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libpango-1.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libnotify.so.4()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libgtk-x11-2.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libgdk_pixbuf-2.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libgdk-x11-2.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libfontconfig.so.1()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libcairo.so.2()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libatk-1.0.so.0()(64bit) のパッケージ: setroubleshoot-3.2.29-3.el7.x86_64
--> トランザクションの確認を実行しています。
---> パッケージ atk.x86_64 0:2.22.0-3.el7 を インストール
---> パッケージ cairo.x86_64 0:1.14.8-2.el7 を インストール
--> 依存性の処理をしています: libpixman-1.so.0()(64bit) のパッケージ: cairo-1.14.8-2.el7.x86_64
--> 依存性の処理をしています: libXrender.so.1()(64bit) のパッケージ: cairo-1.14.8-2.el7.x86_64
--> 依存性の処理をしています: libXext.so.6()(64bit) のパッケージ: cairo-1.14.8-2.el7.x86_64
--> 依存性の処理をしています: libGL.so.1()(64bit) のパッケージ: cairo-1.14.8-2.el7.x86_64
--> 依存性の処理をしています: libEGL.so.1()(64bit) のパッケージ: cairo-1.14.8-2.el7.x86_64
---> パッケージ desktop-file-utils.x86_64 0:0.23-1.el7 を インストール
--> 依存性の処理をしています: emacs-filesystem のパッケージ: desktop-file-utils-0.23-1.el7.x86_64
---> パッケージ fontconfig.x86_64 0:2.10.95-11.el7 を インストール
---> パッケージ gdk-pixbuf2.x86_64 0:2.36.5-1.el7 を インストール
--> 依存性の処理をしています: libtiff.so.5(LIBTIFF_4.0)(64bit) のパッケージ: gdk-pixbuf2-2.36.5-1.el7.x86_64
--> 依存性の処理をしています: libtiff.so.5()(64bit) のパッケージ: gdk-pixbuf2-2.36.5-1.el7.x86_64
--> 依存性の処理をしています: libjasper.so.1()(64bit) のパッケージ: gdk-pixbuf2-2.36.5-1.el7.x86_64
---> パッケージ gtk2.x86_64 0:2.24.31-1.el7 を インストール
--> 依存性の処理をしています: libXrandr >= 1.2.99.4-2 のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: hicolor-icon-theme のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: gtk-update-icon-cache のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libcups.so.2()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXrandr.so.2()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXinerama.so.1()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXi.so.6()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXfixes.so.3()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXdamage.so.1()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXcursor.so.1()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
--> 依存性の処理をしています: libXcomposite.so.1()(64bit) のパッケージ: gtk2-2.24.31-1.el7.x86_64
---> パッケージ libnotify.x86_64 0:0.7.7-1.el7 を インストール
---> パッケージ libreport-gtk.x86_64 0:2.1.11-40.el7.centos を インストール
--> 依存性の処理をしています: libreport-plugin-reportuploader = 2.1.11-40.el7.centos のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libreport = 2.1.11-40.el7.centos のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: fros >= 1.0 のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libtar.so.1()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libreport.so.0()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libjson-c.so.2()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libgtk-3.so.0()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libgdk-3.so.0()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libcairo-gobject.so.2()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libaugeas.so.0()(64bit) のパッケージ: libreport-gtk-2.1.11-40.el7.centos.x86_64
---> パッケージ libreport-python.x86_64 0:2.1.11-40.el7.centos を インストール
---> パッケージ pango.x86_64 0:1.40.4-1.el7 を インストール
--> 依存性の処理をしています: libthai(x86-64) >= 0.1.9 のパッケージ: pango-1.40.4-1.el7.x86_64
--> 依存性の処理をしています: libXft(x86-64) >= 2.0.0 のパッケージ: pango-1.40.4-1.el7.x86_64
--> 依存性の処理をしています: harfbuzz(x86-64) >= 1.0.3 のパッケージ: pango-1.40.4-1.el7.x86_64
--> 依存性の処理をしています: libthai.so.0(LIBTHAI_0.1)(64bit) のパッケージ: pango-1.40.4-1.el7.x86_64
--> 依存性の処理をしています: libthai.so.0()(64bit) のパッケージ: pango-1.40.4-1.el7.x86_64
--> 依存性の処理をしています: libharfbuzz.so.0()(64bit) のパッケージ: pango-1.40.4-1.el7.x86_64
--> 依存性の処理をしています: libXft.so.2()(64bit) のパッケージ: pango-1.40.4-1.el7.x86_64
---> パッケージ pygtk2-libglade.x86_64 0:2.24.0-9.el7 を インストール
--> 依存性の処理をしています: pygtk2 = 2.24.0-9.el7 のパッケージ: pygtk2-libglade-2.24.0-9.el7.x86_64
--> 依存性の処理をしています: libglade-2.0.so.0()(64bit) のパッケージ: pygtk2-libglade-2.24.0-9.el7.x86_64
---> パッケージ setools-console.x86_64 0:3.3.8-2.el7 を インストール
---> パッケージ setools-gui.x86_64 0:3.3.8-2.el7 を インストール
--> 依存性の処理をしています: tk >= 8.4.9 のパッケージ: setools-gui-3.3.8-2.el7.x86_64
--> 依存性の処理をしています: tcl >= 8.4.9 のパッケージ: setools-gui-3.3.8-2.el7.x86_64
--> 依存性の処理をしています: bwidget >= 1.8 のパッケージ: setools-gui-3.3.8-2.el7.x86_64
--> 依存性の処理をしています: usermode のパッケージ: setools-gui-3.3.8-2.el7.x86_64
---> パッケージ setools-libs.x86_64 0:3.3.8-2.el7 を インストール
---> パッケージ setools-libs-tcl.x86_64 0:3.3.8-2.el7 を インストール
---> パッケージ setroubleshoot-server.x86_64 0:3.2.29-3.el7 を インストール
--> 依存性の処理をしています: systemd-python >= 206-1 のパッケージ: setroubleshoot-server-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: setroubleshoot-plugins >= 3.0.62 のパッケージ: setroubleshoot-server-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: audit-libs-python >= 1.2.6-3 のパッケージ: setroubleshoot-server-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: pygobject2 のパッケージ: setroubleshoot-server-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: policycoreutils-python のパッケージ: setroubleshoot-server-3.2.29-3.el7.x86_64
--> 依存性の処理をしています: libxml2-python のパッケージ: setroubleshoot-server-3.2.29-3.el7.x86_64
---> パッケージ xdg-utils.noarch 0:1.1.0-0.17.20120809git.el7 を インストール
--> トランザクションの確認を実行しています。
---> パッケージ audit-libs-python.x86_64 0:2.8.1-3.el7_5.1 を インストール
--> 依存性の処理をしています: audit-libs(x86-64) = 2.8.1-3.el7_5.1 のパッケージ: audit-libs-python-2.8.1-3.el7_5.1.x86_64
---> パッケージ augeas-libs.x86_64 0:1.4.0-5.el7_5.1 を インストール
---> パッケージ bwidget.noarch 0:1.9.0-6.el7 を インストール
---> パッケージ cairo-gobject.x86_64 0:1.14.8-2.el7 を インストール
---> パッケージ cups-libs.x86_64 1:1.6.3-35.el7 を インストール
--> 依存性の処理をしています: libavahi-common.so.3()(64bit) のパッケージ: 1:cups-libs-1.6.3-35.el7.x86_64
--> 依存性の処理をしています: libavahi-client.so.3()(64bit) のパッケージ: 1:cups-libs-1.6.3-35.el7.x86_64
---> パッケージ emacs-filesystem.noarch 1:24.3-20.el7_4 を インストール
---> パッケージ fros.noarch 0:1.0-2.el7 を インストール
---> パッケージ gtk-update-icon-cache.x86_64 0:3.22.26-4.el7_5 を インストール
---> パッケージ gtk3.x86_64 0:3.22.26-4.el7_5 を インストール
--> 依存性の処理をしています: libwayland-cursor(x86-64) >= 1.9.91 のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libwayland-client(x86-64) >= 1.9.91 のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libepoxy(x86-64) >= 1.0 のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libxkbcommon.so.0(V_0.5.0)(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: dconf(x86-64) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: adwaita-icon-theme のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libxkbcommon.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libwayland-egl.so.1()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libwayland-cursor.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libwayland-client.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: librest-0.7.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libjson-glib-1.0.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libepoxy.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libcolord.so.2()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
--> 依存性の処理をしています: libatk-bridge-2.0.so.0()(64bit) のパッケージ: gtk3-3.22.26-4.el7_5.x86_64
---> パッケージ harfbuzz.x86_64 0:1.3.2-1.el7 を インストール
--> 依存性の処理をしています: libgraphite2.so.3()(64bit) のパッケージ: harfbuzz-1.3.2-1.el7.x86_64
---> パッケージ hicolor-icon-theme.noarch 0:0.12-7.el7 を インストール
---> パッケージ jasper-libs.x86_64 0:1.900.1-31.el7 を インストール
---> パッケージ json-c.x86_64 0:0.11-4.el7_0 を インストール
---> パッケージ libXcomposite.x86_64 0:0.4.4-4.1.el7 を インストール
---> パッケージ libXcursor.x86_64 0:1.1.14-8.el7 を インストール
---> パッケージ libXdamage.x86_64 0:1.1.4-4.1.el7 を インストール
---> パッケージ libXext.x86_64 0:1.3.3-3.el7 を インストール
---> パッケージ libXfixes.x86_64 0:5.0.3-1.el7 を インストール
---> パッケージ libXft.x86_64 0:2.3.2-2.el7 を インストール
---> パッケージ libXi.x86_64 0:1.7.9-1.el7 を インストール
---> パッケージ libXinerama.x86_64 0:1.1.3-2.1.el7 を インストール
---> パッケージ libXrandr.x86_64 0:1.5.1-2.el7 を インストール
---> パッケージ libXrender.x86_64 0:0.9.10-1.el7 を インストール
---> パッケージ libglade2.x86_64 0:2.6.4-11.el7 を インストール
--> 依存性の処理をしています: xml-common のパッケージ: libglade2-2.6.4-11.el7.x86_64
---> パッケージ libreport.x86_64 0:2.1.11-40.el7.centos を インストール
--> 依存性の処理をしています: libreport-filesystem = 2.1.11-40.el7.centos のパッケージ: libreport-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: satyr >= 0.13-7 のパッケージ: libreport-2.1.11-40.el7.centos.x86_64
---> パッケージ libreport-plugin-reportuploader.x86_64 0:2.1.11-40.el7.centos を インストール
--> 依存性の処理をしています: libreport-web = 2.1.11-40.el7.centos のパッケージ: libreport-plugin-reportuploader-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libxmlrpc_util.so.3()(64bit) のパッケージ: libreport-plugin-reportuploader-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libxmlrpc_client.so.3()(64bit) のパッケージ: libreport-plugin-reportuploader-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libxmlrpc.so.3()(64bit) のパッケージ: libreport-plugin-reportuploader-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libreport-web.so.0()(64bit) のパッケージ: libreport-plugin-reportuploader-2.1.11-40.el7.centos.x86_64
--> 依存性の処理をしています: libproxy.so.1()(64bit) のパッケージ: libreport-plugin-reportuploader-2.1.11-40.el7.centos.x86_64
---> パッケージ libtar.x86_64 0:1.2.11-29.el7 を インストール
---> パッケージ libthai.x86_64 0:0.1.14-9.el7 を インストール
---> パッケージ libtiff.x86_64 0:4.0.3-27.el7_3 を インストール
--> 依存性の処理をしています: libjbig.so.2.0()(64bit) のパッケージ: libtiff-4.0.3-27.el7_3.x86_64
---> パッケージ libxml2-python.x86_64 0:2.9.1-6.el7_2.3 を インストール
---> パッケージ mesa-libEGL.x86_64 0:17.2.3-8.20171019.el7 を インストール
--> 依存性の処理をしています: mesa-libgbm = 17.2.3-8.20171019.el7 のパッケージ: mesa-libEGL-17.2.3-8.20171019.el7.x86_64
--> 依存性の処理をしています: libxshmfence.so.1()(64bit) のパッケージ: mesa-libEGL-17.2.3-8.20171019.el7.x86_64
--> 依存性の処理をしています: libwayland-server.so.0()(64bit) のパッケージ: mesa-libEGL-17.2.3-8.20171019.el7.x86_64
--> 依存性の処理をしています: libgbm.so.1()(64bit) のパッケージ: mesa-libEGL-17.2.3-8.20171019.el7.x86_64
---> パッケージ mesa-libGL.x86_64 0:17.2.3-8.20171019.el7 を インストール
--> 依存性の処理をしています: mesa-libglapi = 17.2.3-8.20171019.el7 のパッケージ: mesa-libGL-17.2.3-8.20171019.el7.x86_64
--> 依存性の処理をしています: libglapi.so.0()(64bit) のパッケージ: mesa-libGL-17.2.3-8.20171019.el7.x86_64
--> 依存性の処理をしています: libXxf86vm.so.1()(64bit) のパッケージ: mesa-libGL-17.2.3-8.20171019.el7.x86_64
---> パッケージ pixman.x86_64 0:0.34.0-1.el7 を インストール
---> パッケージ policycoreutils-python.x86_64 0:2.5-22.el7 を インストール
--> 依存性の処理をしています: libsemanage-python >= 2.5-9 のパッケージ: policycoreutils-python-2.5-22.el7.x86_64
--> 依存性の処理をしています: python-IPy のパッケージ: policycoreutils-python-2.5-22.el7.x86_64
--> 依存性の処理をしています: libcgroup のパッケージ: policycoreutils-python-2.5-22.el7.x86_64
--> 依存性の処理をしています: checkpolicy のパッケージ: policycoreutils-python-2.5-22.el7.x86_64
---> パッケージ pygobject2.x86_64 0:2.28.6-11.el7 を インストール
---> パッケージ pygtk2.x86_64 0:2.24.0-9.el7 を インストール
--> 依存性の処理をしています: pycairo のパッケージ: pygtk2-2.24.0-9.el7.x86_64
---> パッケージ setroubleshoot-plugins.noarch 0:3.0.66-2.1.el7 を インストール
---> パッケージ systemd-python.x86_64 0:219-57.el7_5.3 を インストール
--> 依存性の処理をしています: systemd-libs = 219-57.el7_5.3 のパッケージ: systemd-python-219-57.el7_5.3.x86_64
--> 依存性の処理をしています: systemd = 219-57.el7_5.3 のパッケージ: systemd-python-219-57.el7_5.3.x86_64
---> パッケージ tcl.x86_64 1:8.5.13-8.el7 を インストール
---> パッケージ tk.x86_64 1:8.5.13-6.el7 を インストール
---> パッケージ usermode.x86_64 0:1.111-5.el7 を インストール
--> トランザクションの確認を実行しています。
---> パッケージ adwaita-icon-theme.noarch 0:3.26.0-1.el7 を インストール
--> 依存性の処理をしています: adwaita-cursor-theme = 3.26.0-1.el7 のパッケージ: adwaita-icon-theme-3.26.0-1.el7.noarch
---> パッケージ at-spi2-atk.x86_64 0:2.22.0-2.el7 を インストール
--> 依存性の処理をしています: at-spi2-core(x86-64) >= 2.17.90 のパッケージ: at-spi2-atk-2.22.0-2.el7.x86_64
--> 依存性の処理をしています: libatspi.so.0()(64bit) のパッケージ: at-spi2-atk-2.22.0-2.el7.x86_64
---> パッケージ audit-libs.x86_64 0:2.8.1-3.el7 を 更新
--> 依存性の処理をしています: audit-libs(x86-64) = 2.8.1-3.el7 のパッケージ: audit-2.8.1-3.el7.x86_64
---> パッケージ audit-libs.x86_64 0:2.8.1-3.el7_5.1 を アップデート
---> パッケージ avahi-libs.x86_64 0:0.6.31-19.el7 を インストール
---> パッケージ checkpolicy.x86_64 0:2.5-6.el7 を インストール
---> パッケージ colord-libs.x86_64 0:1.3.4-1.el7 を インストール
--> 依存性の処理をしています: libgusb.so.2(LIBGUSB_0.1.1)(64bit) のパッケージ: colord-libs-1.3.4-1.el7.x86_64
--> 依存性の処理をしています: libgusb.so.2(LIBGUSB_0.1.0)(64bit) のパッケージ: colord-libs-1.3.4-1.el7.x86_64
--> 依存性の処理をしています: libusb-1.0.so.0()(64bit) のパッケージ: colord-libs-1.3.4-1.el7.x86_64
--> 依存性の処理をしています: liblcms2.so.2()(64bit) のパッケージ: colord-libs-1.3.4-1.el7.x86_64
--> 依存性の処理をしています: libgusb.so.2()(64bit) のパッケージ: colord-libs-1.3.4-1.el7.x86_64
---> パッケージ dconf.x86_64 0:0.26.0-3.el7_5.1 を インストール
---> パッケージ graphite2.x86_64 0:1.3.10-1.el7_3 を インストール
---> パッケージ jbigkit-libs.x86_64 0:2.0-11.el7 を インストール
---> パッケージ json-glib.x86_64 0:1.2.6-1.el7 を インストール
---> パッケージ libXxf86vm.x86_64 0:1.1.4-1.el7 を インストール
---> パッケージ libcgroup.x86_64 0:0.41-15.el7 を インストール
---> パッケージ libepoxy.x86_64 0:1.3.1-2.el7_5 を インストール
---> パッケージ libproxy.x86_64 0:0.4.11-11.el7 を インストール
--> 依存性の処理をしています: libmodman.so.1()(64bit) のパッケージ: libproxy-0.4.11-11.el7.x86_64
---> パッケージ libreport-filesystem.x86_64 0:2.1.11-40.el7.centos を インストール
---> パッケージ libreport-web.x86_64 0:2.1.11-40.el7.centos を インストール
---> パッケージ libsemanage-python.x86_64 0:2.5-11.el7 を インストール
---> パッケージ libwayland-client.x86_64 0:1.14.0-2.el7 を インストール
---> パッケージ libwayland-cursor.x86_64 0:1.14.0-2.el7 を インストール
---> パッケージ libwayland-server.x86_64 0:1.14.0-2.el7 を インストール
---> パッケージ libxkbcommon.x86_64 0:0.7.1-1.el7 を インストール
--> 依存性の処理をしています: xkeyboard-config のパッケージ: libxkbcommon-0.7.1-1.el7.x86_64
---> パッケージ libxshmfence.x86_64 0:1.2-1.el7 を インストール
---> パッケージ mesa-libgbm.x86_64 0:17.2.3-8.20171019.el7 を インストール
---> パッケージ mesa-libglapi.x86_64 0:17.2.3-8.20171019.el7 を インストール
---> パッケージ mesa-libwayland-egl.x86_64 0:17.2.3-8.20171019.el7 を インストール
---> パッケージ pycairo.x86_64 0:1.8.10-8.el7 を インストール
---> パッケージ python-IPy.noarch 0:0.75-6.el7 を インストール
---> パッケージ rest.x86_64 0:0.8.0-2.el7 を インストール
--> 依存性の処理をしています: libsoup-gnome-2.4.so.1()(64bit) のパッケージ: rest-0.8.0-2.el7.x86_64
--> 依存性の処理をしています: libsoup-2.4.so.1()(64bit) のパッケージ: rest-0.8.0-2.el7.x86_64
---> パッケージ satyr.x86_64 0:0.13-14.el7 を インストール
---> パッケージ systemd.x86_64 0:219-57.el7 を 更新
--> 依存性の処理をしています: systemd = 219-57.el7 のパッケージ: systemd-sysv-219-57.el7.x86_64
---> パッケージ systemd.x86_64 0:219-57.el7_5.3 を アップデート
---> パッケージ systemd-libs.x86_64 0:219-57.el7 を 更新
---> パッケージ systemd-libs.x86_64 0:219-57.el7_5.3 を アップデート
---> パッケージ xml-common.noarch 0:0.6.3-39.el7 を インストール
---> パッケージ xmlrpc-c.x86_64 0:1.32.5-1905.svn2451.el7 を インストール
---> パッケージ xmlrpc-c-client.x86_64 0:1.32.5-1905.svn2451.el7 を インストール
--> トランザクションの確認を実行しています。
---> パッケージ adwaita-cursor-theme.noarch 0:3.26.0-1.el7 を インストール
---> パッケージ at-spi2-core.x86_64 0:2.22.0-1.el7 を インストール
--> 依存性の処理をしています: libXtst.so.6()(64bit) のパッケージ: at-spi2-core-2.22.0-1.el7.x86_64
---> パッケージ audit.x86_64 0:2.8.1-3.el7 を 更新
---> パッケージ audit.x86_64 0:2.8.1-3.el7_5.1 を アップデート
---> パッケージ lcms2.x86_64 0:2.6-3.el7 を インストール
---> パッケージ libgusb.x86_64 0:0.2.9-1.el7 を インストール
---> パッケージ libmodman.x86_64 0:2.0.1-8.el7 を インストール
---> パッケージ libsoup.x86_64 0:2.56.0-6.el7 を インストール
--> 依存性の処理をしています: glib-networking(x86-64) >= 2.38.0 のパッケージ: libsoup-2.56.0-6.el7.x86_64
---> パッケージ libusbx.x86_64 0:1.0.21-1.el7 を インストール
---> パッケージ systemd-sysv.x86_64 0:219-57.el7 を 更新
---> パッケージ systemd-sysv.x86_64 0:219-57.el7_5.3 を アップデート
---> パッケージ xkeyboard-config.noarch 0:2.20-1.el7 を インストール
--> トランザクションの確認を実行しています。
---> パッケージ glib-networking.x86_64 0:2.50.0-1.el7 を インストール
--> 依存性の処理をしています: gsettings-desktop-schemas のパッケージ: glib-networking-2.50.0-1.el7.x86_64
---> パッケージ libXtst.x86_64 0:1.2.3-1.el7 を インストール
--> トランザクションの確認を実行しています。
---> パッケージ gsettings-desktop-schemas.x86_64 0:3.24.1-2.el7_5 を インストール
--> 依存性解決を終了しました。

依存性を解決しました

================================================================================
Package アーキテクチャー
バージョン リポジトリー
容量
================================================================================
インストール中:
setools x86_64 3.3.8-2.el7 base 15 k
setroubleshoot x86_64 3.2.29-3.el7 base 130 k
依存性関連でのインストールをします:
adwaita-cursor-theme noarch 3.26.0-1.el7 base 641 k
adwaita-icon-theme noarch 3.26.0-1.el7 base 12 M
at-spi2-atk x86_64 2.22.0-2.el7 base 80 k
at-spi2-core x86_64 2.22.0-1.el7 base 157 k
atk x86_64 2.22.0-3.el7 base 258 k
audit-libs-python x86_64 2.8.1-3.el7_5.1 updates 75 k
augeas-libs x86_64 1.4.0-5.el7_5.1 updates 355 k
avahi-libs x86_64 0.6.31-19.el7 base 61 k
bwidget noarch 1.9.0-6.el7 base 167 k
cairo x86_64 1.14.8-2.el7 base 713 k
cairo-gobject x86_64 1.14.8-2.el7 base 25 k
checkpolicy x86_64 2.5-6.el7 base 294 k
colord-libs x86_64 1.3.4-1.el7 base 185 k
cups-libs x86_64 1:1.6.3-35.el7 base 357 k
dconf x86_64 0.26.0-3.el7_5.1 updates 107 k
desktop-file-utils x86_64 0.23-1.el7 base 67 k
emacs-filesystem noarch 1:24.3-20.el7_4 base 58 k
fontconfig x86_64 2.10.95-11.el7 base 229 k
fros noarch 1.0-2.el7 base 22 k
gdk-pixbuf2 x86_64 2.36.5-1.el7 base 567 k
glib-networking x86_64 2.50.0-1.el7 base 131 k
graphite2 x86_64 1.3.10-1.el7_3 base 115 k
gsettings-desktop-schemas x86_64 3.24.1-2.el7_5 updates 586 k
gtk-update-icon-cache x86_64 3.22.26-4.el7_5 updates 27 k
gtk2 x86_64 2.24.31-1.el7 base 3.4 M
gtk3 x86_64 3.22.26-4.el7_5 updates 4.4 M
harfbuzz x86_64 1.3.2-1.el7 base 177 k
hicolor-icon-theme noarch 0.12-7.el7 base 42 k
jasper-libs x86_64 1.900.1-31.el7 base 150 k
jbigkit-libs x86_64 2.0-11.el7 base 46 k
json-c x86_64 0.11-4.el7_0 base 31 k
json-glib x86_64 1.2.6-1.el7 base 133 k
lcms2 x86_64 2.6-3.el7 base 150 k
libXcomposite x86_64 0.4.4-4.1.el7 base 22 k
libXcursor x86_64 1.1.14-8.el7 base 30 k
libXdamage x86_64 1.1.4-4.1.el7 base 20 k
libXext x86_64 1.3.3-3.el7 base 39 k
libXfixes x86_64 5.0.3-1.el7 base 18 k
libXft x86_64 2.3.2-2.el7 base 58 k
libXi x86_64 1.7.9-1.el7 base 40 k
libXinerama x86_64 1.1.3-2.1.el7 base 14 k
libXrandr x86_64 1.5.1-2.el7 base 27 k
libXrender x86_64 0.9.10-1.el7 base 26 k
libXtst x86_64 1.2.3-1.el7 base 20 k
libXxf86vm x86_64 1.1.4-1.el7 base 18 k
libcgroup x86_64 0.41-15.el7 base 65 k
libepoxy x86_64 1.3.1-2.el7_5 updates 196 k
libglade2 x86_64 2.6.4-11.el7 base 64 k
libgusb x86_64 0.2.9-1.el7 base 40 k
libmodman x86_64 2.0.1-8.el7 base 28 k
libnotify x86_64 0.7.7-1.el7 base 39 k
libproxy x86_64 0.4.11-11.el7 base 64 k
libreport x86_64 2.1.11-40.el7.centos base 451 k
libreport-filesystem x86_64 2.1.11-40.el7.centos base 39 k
libreport-gtk x86_64 2.1.11-40.el7.centos base 100 k
libreport-plugin-reportuploader
x86_64 2.1.11-40.el7.centos base 63 k
libreport-python x86_64 2.1.11-40.el7.centos base 69 k
libreport-web x86_64 2.1.11-40.el7.centos base 56 k
libsemanage-python x86_64 2.5-11.el7 base 112 k
libsoup x86_64 2.56.0-6.el7 base 398 k
libtar x86_64 1.2.11-29.el7 base 33 k
libthai x86_64 0.1.14-9.el7 base 187 k
libtiff x86_64 4.0.3-27.el7_3 base 170 k
libusbx x86_64 1.0.21-1.el7 base 61 k
libwayland-client x86_64 1.14.0-2.el7 base 32 k
libwayland-cursor x86_64 1.14.0-2.el7 base 20 k
libwayland-server x86_64 1.14.0-2.el7 base 38 k
libxkbcommon x86_64 0.7.1-1.el7 base 108 k
libxml2-python x86_64 2.9.1-6.el7_2.3 base 247 k
libxshmfence x86_64 1.2-1.el7 base 7.2 k
mesa-libEGL x86_64 17.2.3-8.20171019.el7 base 96 k
mesa-libGL x86_64 17.2.3-8.20171019.el7 base 156 k
mesa-libgbm x86_64 17.2.3-8.20171019.el7 base 38 k
mesa-libglapi x86_64 17.2.3-8.20171019.el7 base 43 k
mesa-libwayland-egl x86_64 17.2.3-8.20171019.el7 base 17 k
pango x86_64 1.40.4-1.el7 base 275 k
pixman x86_64 0.34.0-1.el7 base 248 k
policycoreutils-python x86_64 2.5-22.el7 base 454 k
pycairo x86_64 1.8.10-8.el7 base 157 k
pygobject2 x86_64 2.28.6-11.el7 base 226 k
pygtk2 x86_64 2.24.0-9.el7 base 914 k
pygtk2-libglade x86_64 2.24.0-9.el7 base 25 k
python-IPy noarch 0.75-6.el7 base 32 k
rest x86_64 0.8.0-2.el7 base 63 k
satyr x86_64 0.13-14.el7 base 538 k
setools-console x86_64 3.3.8-2.el7 base 310 k
setools-gui x86_64 3.3.8-2.el7 base 272 k
setools-libs x86_64 3.3.8-2.el7 base 619 k
setools-libs-tcl x86_64 3.3.8-2.el7 base 487 k
setroubleshoot-plugins noarch 3.0.66-2.1.el7 base 345 k
setroubleshoot-server x86_64 3.2.29-3.el7 base 388 k
systemd-python x86_64 219-57.el7_5.3 updates 128 k
tcl x86_64 1:8.5.13-8.el7 base 1.9 M
tk x86_64 1:8.5.13-6.el7 base 1.4 M
usermode x86_64 1.111-5.el7 base 193 k
xdg-utils noarch 1.1.0-0.17.20120809git.el7 base 70 k
xkeyboard-config noarch 2.20-1.el7 base 799 k
xml-common noarch 0.6.3-39.el7 base 26 k
xmlrpc-c x86_64 1.32.5-1905.svn2451.el7 base 130 k
xmlrpc-c-client x86_64 1.32.5-1905.svn2451.el7 base 32 k
依存性関連での更新をします:
audit x86_64 2.8.1-3.el7_5.1 updates 247 k
audit-libs x86_64 2.8.1-3.el7_5.1 updates 99 k
systemd x86_64 219-57.el7_5.3 updates 5.0 M
systemd-libs x86_64 219-57.el7_5.3 updates 402 k
systemd-sysv x86_64 219-57.el7_5.3 updates 80 k

トランザクションの要約
================================================================================
インストール 2 パッケージ (+100 個の依存関係のパッケージ)
更新 ( 5 個の依存関係のパッケージ)

総ダウンロード容量: 45 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/107): at-spi2-atk-2.22.0-2.el7.x86_64.rpm | 80 kB 00:00
(2/107): atk-2.22.0-3.el7.x86_64.rpm | 258 kB 00:00
(3/107): at-spi2-core-2.22.0-1.el7.x86_64.rpm | 157 kB 00:00
(4/107): adwaita-cursor-theme-3.26.0-1.el7.noarch.rpm | 641 kB 00:00
(5/107): audit-2.8.1-3.el7_5.1.x86_64.rpm | 247 kB 00:00
(6/107): audit-libs-2.8.1-3.el7_5.1.x86_64.rpm | 99 kB 00:00
(7/107): augeas-libs-1.4.0-5.el7_5.1.x86_64.rpm | 355 kB 00:00
(8/107): audit-libs-python-2.8.1-3.el7_5.1.x86_64.rpm | 75 kB 00:00
(9/107): avahi-libs-0.6.31-19.el7.x86_64.rpm | 61 kB 00:00
(10/107): cairo-gobject-1.14.8-2.el7.x86_64.rpm | 25 kB 00:00
(11/107): colord-libs-1.3.4-1.el7.x86_64.rpm | 185 kB 00:00
(12/107): bwidget-1.9.0-6.el7.noarch.rpm | 167 kB 00:00
(13/107): cairo-1.14.8-2.el7.x86_64.rpm | 713 kB 00:00
(14/107): cups-libs-1.6.3-35.el7.x86_64.rpm | 357 kB 00:00
(15/107): emacs-filesystem-24.3-20.el7_4.noarch.rpm | 58 kB 00:00
(16/107): checkpolicy-2.5-6.el7.x86_64.rpm | 294 kB 00:00
(17/107): fros-1.0-2.el7.noarch.rpm | 22 kB 00:00
(18/107): dconf-0.26.0-3.el7_5.1.x86_64.rpm | 107 kB 00:00
(19/107): glib-networking-2.50.0-1.el7.x86_64.rpm | 131 kB 00:00
(20/107): fontconfig-2.10.95-11.el7.x86_64.rpm | 229 kB 00:00
(21/107): graphite2-1.3.10-1.el7_3.x86_64.rpm | 115 kB 00:00
(22/107): desktop-file-utils-0.23-1.el7.x86_64.rpm | 67 kB 00:00
(23/107): gdk-pixbuf2-2.36.5-1.el7.x86_64.rpm | 567 kB 00:00
(24/107): gtk-update-icon-cache-3.22.26-4.el7_5.x86_64.rpm | 27 kB 00:00
(25/107): gsettings-desktop-schemas-3.24.1-2.el7_5.x86_64. | 586 kB 00:01
(26/107): harfbuzz-1.3.2-1.el7.x86_64.rpm | 177 kB 00:00
(27/107): hicolor-icon-theme-0.12-7.el7.noarch.rpm | 42 kB 00:00
(28/107): jbigkit-libs-2.0-11.el7.x86_64.rpm | 46 kB 00:00
(29/107): json-c-0.11-4.el7_0.x86_64.rpm | 31 kB 00:00
(30/107): gtk3-3.22.26-4.el7_5.x86_64.rpm | 4.4 MB 00:01
(31/107): jasper-libs-1.900.1-31.el7.x86_64.rpm | 150 kB 00:00
(32/107): json-glib-1.2.6-1.el7.x86_64.rpm | 133 kB 00:00
(33/107): libXcomposite-0.4.4-4.1.el7.x86_64.rpm | 22 kB 00:00
(34/107): libXcursor-1.1.14-8.el7.x86_64.rpm | 30 kB 00:00
(35/107): libXdamage-1.1.4-4.1.el7.x86_64.rpm | 20 kB 00:00
(36/107): libXext-1.3.3-3.el7.x86_64.rpm | 39 kB 00:00
(37/107): lcms2-2.6-3.el7.x86_64.rpm | 150 kB 00:00
(38/107): libXfixes-5.0.3-1.el7.x86_64.rpm | 18 kB 00:00
(39/107): libXft-2.3.2-2.el7.x86_64.rpm | 58 kB 00:00
(40/107): libXinerama-1.1.3-2.1.el7.x86_64.rpm | 14 kB 00:00
(41/107): libXi-1.7.9-1.el7.x86_64.rpm | 40 kB 00:00
(42/107): libXrandr-1.5.1-2.el7.x86_64.rpm | 27 kB 00:00
(43/107): libXtst-1.2.3-1.el7.x86_64.rpm | 20 kB 00:00
(44/107): libXrender-0.9.10-1.el7.x86_64.rpm | 26 kB 00:00
(45/107): libXxf86vm-1.1.4-1.el7.x86_64.rpm | 18 kB 00:00
(46/107): libcgroup-0.41-15.el7.x86_64.rpm | 65 kB 00:00
(47/107): libepoxy-1.3.1-2.el7_5.x86_64.rpm | 196 kB 00:00
(48/107): libgusb-0.2.9-1.el7.x86_64.rpm | 40 kB 00:00
(49/107): libmodman-2.0.1-8.el7.x86_64.rpm | 28 kB 00:00
(50/107): libnotify-0.7.7-1.el7.x86_64.rpm | 39 kB 00:00
(51/107): libproxy-0.4.11-11.el7.x86_64.rpm | 64 kB 00:00
(52/107): libreport-filesystem-2.1.11-40.el7.centos.x86_64 | 39 kB 00:00
(53/107): libreport-gtk-2.1.11-40.el7.centos.x86_64.rpm | 100 kB 00:00
(54/107): libreport-plugin-reportuploader-2.1.11-40.el7.ce | 63 kB 00:00
(55/107): libreport-python-2.1.11-40.el7.centos.x86_64.rpm | 69 kB 00:00
(56/107): libreport-2.1.11-40.el7.centos.x86_64.rpm | 451 kB 00:00
(57/107): libreport-web-2.1.11-40.el7.centos.x86_64.rpm | 56 kB 00:00
(58/107): libglade2-2.6.4-11.el7.x86_64.rpm | 64 kB 00:00
(59/107): libsemanage-python-2.5-11.el7.x86_64.rpm | 112 kB 00:00
(60/107): libsoup-2.56.0-6.el7.x86_64.rpm | 398 kB 00:00
(61/107): libthai-0.1.14-9.el7.x86_64.rpm | 187 kB 00:00
(62/107): libtiff-4.0.3-27.el7_3.x86_64.rpm | 170 kB 00:00
(63/107): libusbx-1.0.21-1.el7.x86_64.rpm | 61 kB 00:00
(64/107): libwayland-client-1.14.0-2.el7.x86_64.rpm | 32 kB 00:00
(65/107): libwayland-cursor-1.14.0-2.el7.x86_64.rpm | 20 kB 00:00
(66/107): libwayland-server-1.14.0-2.el7.x86_64.rpm | 38 kB 00:00
(67/107): libxkbcommon-0.7.1-1.el7.x86_64.rpm | 108 kB 00:00
(68/107): libtar-1.2.11-29.el7.x86_64.rpm | 33 kB 00:00
(69/107): libxshmfence-1.2-1.el7.x86_64.rpm | 7.2 kB 00:00
(70/107): libxml2-python-2.9.1-6.el7_2.3.x86_64.rpm | 247 kB 00:00
(71/107): mesa-libgbm-17.2.3-8.20171019.el7.x86_64.rpm | 38 kB 00:00
(72/107): mesa-libglapi-17.2.3-8.20171019.el7.x86_64.rpm | 43 kB 00:00
(73/107): mesa-libGL-17.2.3-8.20171019.el7.x86_64.rpm | 156 kB 00:00
(74/107): adwaita-icon-theme-3.26.0-1.el7.noarch.rpm | 12 MB 00:05
(75/107): mesa-libEGL-17.2.3-8.20171019.el7.x86_64.rpm | 96 kB 00:00
(76/107): mesa-libwayland-egl-17.2.3-8.20171019.el7.x86_64 | 17 kB 00:00
(77/107): pango-1.40.4-1.el7.x86_64.rpm | 275 kB 00:00
(78/107): pycairo-1.8.10-8.el7.x86_64.rpm | 157 kB 00:00
(79/107): pygobject2-2.28.6-11.el7.x86_64.rpm | 226 kB 00:00
(80/107): pixman-0.34.0-1.el7.x86_64.rpm | 248 kB 00:00
(81/107): pygtk2-libglade-2.24.0-9.el7.x86_64.rpm | 25 kB 00:00
(82/107): rest-0.8.0-2.el7.x86_64.rpm | 63 kB 00:00
(83/107): policycoreutils-python-2.5-22.el7.x86_64.rpm | 454 kB 00:00
(84/107): setools-3.3.8-2.el7.x86_64.rpm | 15 kB 00:00
(85/107): python-IPy-0.75-6.el7.noarch.rpm | 32 kB 00:00
(86/107): pygtk2-2.24.0-9.el7.x86_64.rpm | 914 kB 00:00
(87/107): satyr-0.13-14.el7.x86_64.rpm | 538 kB 00:00
(88/107): setools-console-3.3.8-2.el7.x86_64.rpm | 310 kB 00:00
(89/107): setools-libs-tcl-3.3.8-2.el7.x86_64.rpm | 487 kB 00:00
(90/107): setroubleshoot-3.2.29-3.el7.x86_64.rpm | 130 kB 00:00
(91/107): setools-gui-3.3.8-2.el7.x86_64.rpm | 272 kB 00:00
(92/107): setroubleshoot-plugins-3.0.66-2.1.el7.noarch.rpm | 345 kB 00:00
(93/107): setools-libs-3.3.8-2.el7.x86_64.rpm | 619 kB 00:00
(94/107): systemd-python-219-57.el7_5.3.x86_64.rpm | 128 kB 00:00
(95/107): systemd-sysv-219-57.el7_5.3.x86_64.rpm | 80 kB 00:00
(96/107): setroubleshoot-server-3.2.29-3.el7.x86_64.rpm | 388 kB 00:00
(97/107): systemd-libs-219-57.el7_5.3.x86_64.rpm | 402 kB 00:00
(98/107): usermode-1.111-5.el7.x86_64.rpm | 193 kB 00:00
(99/107): xdg-utils-1.1.0-0.17.20120809git.el7.noarch.rpm | 70 kB 00:00
(100/107): tk-8.5.13-6.el7.x86_64.rpm | 1.4 MB 00:00
(101/107): xml-common-0.6.3-39.el7.noarch.rpm | 26 kB 00:00
(102/107): xkeyboard-config-2.20-1.el7.noarch.rpm | 799 kB 00:00
(103/107): xmlrpc-c-client-1.32.5-1905.svn2451.el7.x86_64. | 32 kB 00:00
(104/107): xmlrpc-c-1.32.5-1905.svn2451.el7.x86_64.rpm | 130 kB 00:00
(105/107): systemd-219-57.el7_5.3.x86_64.rpm | 5.0 MB 00:01
(106/107): tcl-8.5.13-8.el7.x86_64.rpm | 1.9 MB 00:02
(107/107): gtk2-2.24.31-1.el7.x86_64.rpm | 3.4 MB 00:08
--------------------------------------------------------------------------------
合計 4.5 MB/s | 45 MB 00:10
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
インストール中 : fontconfig-2.10.95-11.el7.x86_64 1/112
インストール中 : libXext-1.3.3-3.el7.x86_64 2/112
インストール中 : atk-2.22.0-3.el7.x86_64 3/112
更新します : systemd-libs-219-57.el7_5.3.x86_64 4/112
インストール中 : libXrender-0.9.10-1.el7.x86_64 5/112
更新します : audit-libs-2.8.1-3.el7_5.1.x86_64 6/112
インストール中 : augeas-libs-1.4.0-5.el7_5.1.x86_64 7/112
インストール中 : json-c-0.11-4.el7_0.x86_64 8/112
インストール中 : setools-libs-3.3.8-2.el7.x86_64 9/112
インストール中 : libXfixes-5.0.3-1.el7.x86_64 10/112
インストール中 : libtar-1.2.11-29.el7.x86_64 11/112
更新します : systemd-219-57.el7_5.3.x86_64 12/112
インストール中 : 1:tcl-8.5.13-8.el7.x86_64 13/112
インストール中 : libwayland-client-1.14.0-2.el7.x86_64 14/112
インストール中 : libXdamage-1.1.4-4.1.el7.x86_64 15/112
インストール中 : libXi-1.7.9-1.el7.x86_64 16/112
インストール中 : xmlrpc-c-1.32.5-1905.svn2451.el7.x86_64 17/112
インストール中 : satyr-0.13-14.el7.x86_64 18/112
インストール中 : xmlrpc-c-client-1.32.5-1905.svn2451.el7.x 19/112
インストール中 : setools-libs-tcl-3.3.8-2.el7.x86_64 20/112
インストール中 : libXcursor-1.1.14-8.el7.x86_64 21/112
インストール中 : audit-libs-python-2.8.1-3.el7_5.1.x86_64 22/112
インストール中 : libXrandr-1.5.1-2.el7.x86_64 23/112
インストール中 : libXft-2.3.2-2.el7.x86_64 24/112
インストール中 : 1:tk-8.5.13-6.el7.x86_64 25/112
インストール中 : libusbx-1.0.21-1.el7.x86_64 26/112
インストール中 : libXinerama-1.1.3-2.1.el7.x86_64 27/112
インストール中 : libwayland-server-1.14.0-2.el7.x86_64 28/112
インストール中 : libxshmfence-1.2-1.el7.x86_64 29/112
インストール中 : pygobject2-2.28.6-11.el7.x86_64 30/112
インストール中 : hicolor-icon-theme-0.12-7.el7.noarch 31/112
インストール中 : mesa-libglapi-17.2.3-8.20171019.el7.x86_6 32/112
インストール中 : pixman-0.34.0-1.el7.x86_64 33/112
インストール中 : libXcomposite-0.4.4-4.1.el7.x86_64 34/112
インストール中 : mesa-libgbm-17.2.3-8.20171019.el7.x86_64 35/112
インストール中 : mesa-libEGL-17.2.3-8.20171019.el7.x86_64 36/112
インストール中 : libgusb-0.2.9-1.el7.x86_64 37/112
インストール中 : bwidget-1.9.0-6.el7.noarch 38/112
インストール中 : libXtst-1.2.3-1.el7.x86_64 39/112
インストール中 : at-spi2-core-2.22.0-1.el7.x86_64 40/112
インストール中 : at-spi2-atk-2.22.0-2.el7.x86_64 41/112
インストール中 : libwayland-cursor-1.14.0-2.el7.x86_64 42/112
更新します : systemd-sysv-219-57.el7_5.3.x86_64 43/112
更新します : audit-2.8.1-3.el7_5.1.x86_64 44/112
インストール中 : libcgroup-0.41-15.el7.x86_64 45/112
インストール中 : systemd-python-219-57.el7_5.3.x86_64 46/112
インストール中 : setools-console-3.3.8-2.el7.x86_64 47/112
インストール中 : libXxf86vm-1.1.4-1.el7.x86_64 48/112
インストール中 : mesa-libGL-17.2.3-8.20171019.el7.x86_64 49/112
インストール中 : cairo-1.14.8-2.el7.x86_64 50/112
インストール中 : cairo-gobject-1.14.8-2.el7.x86_64 51/112
インストール中 : pycairo-1.8.10-8.el7.x86_64 52/112
インストール中 : dconf-0.26.0-3.el7_5.1.x86_64 53/112
インストール中 : xml-common-0.6.3-39.el7.noarch 54/112
インストール中 : jbigkit-libs-2.0-11.el7.x86_64 55/112
インストール中 : libtiff-4.0.3-27.el7_3.x86_64 56/112
インストール中 : libxml2-python-2.9.1-6.el7_2.3.x86_64 57/112
インストール中 : libthai-0.1.14-9.el7.x86_64 58/112
インストール中 : graphite2-1.3.10-1.el7_3.x86_64 59/112
インストール中 : harfbuzz-1.3.2-1.el7.x86_64 60/112
インストール中 : pango-1.40.4-1.el7.x86_64 61/112
インストール中 : usermode-1.111-5.el7.x86_64 62/112
インストール中 : lcms2-2.6-3.el7.x86_64 63/112
インストール中 : colord-libs-1.3.4-1.el7.x86_64 64/112
インストール中 : gsettings-desktop-schemas-3.24.1-2.el7_5. 65/112
インストール中 : jasper-libs-1.900.1-31.el7.x86_64 66/112
インストール中 : gdk-pixbuf2-2.36.5-1.el7.x86_64 67/112
インストール中 : gtk-update-icon-cache-3.22.26-4.el7_5.x86 68/112
インストール中 : libnotify-0.7.7-1.el7.x86_64 69/112
インストール中 : avahi-libs-0.6.31-19.el7.x86_64 70/112
インストール中 : 1:cups-libs-1.6.3-35.el7.x86_64 71/112
インストール中 : gtk2-2.24.31-1.el7.x86_64 72/112
インストール中 : libglade2-2.6.4-11.el7.x86_64 73/112
インストール中 : setools-gui-3.3.8-2.el7.x86_64 74/112
インストール中 : pygtk2-2.24.0-9.el7.x86_64 75/112
インストール中 : pygtk2-libglade-2.24.0-9.el7.x86_64 76/112
インストール中 : xkeyboard-config-2.20-1.el7.noarch 77/112
インストール中 : libxkbcommon-0.7.1-1.el7.x86_64 78/112
インストール中 : mesa-libwayland-egl-17.2.3-8.20171019.el7 79/112
インストール中 : libreport-filesystem-2.1.11-40.el7.centos 80/112
インストール中 : libreport-2.1.11-40.el7.centos.x86_64 81/112
インストール中 : libreport-python-2.1.11-40.el7.centos.x86 82/112
インストール中 : adwaita-cursor-theme-3.26.0-1.el7.noarch 83/112
インストール中 : adwaita-icon-theme-3.26.0-1.el7.noarch 84/112
インストール中 : libepoxy-1.3.1-2.el7_5.x86_64 85/112
インストール中 : libmodman-2.0.1-8.el7.x86_64 86/112
インストール中 : libproxy-0.4.11-11.el7.x86_64 87/112
インストール中 : libreport-web-2.1.11-40.el7.centos.x86_64 88/112
インストール中 : libreport-plugin-reportuploader-2.1.11-40 89/112
インストール中 : glib-networking-2.50.0-1.el7.x86_64 90/112
インストール中 : libsoup-2.56.0-6.el7.x86_64 91/112
インストール中 : rest-0.8.0-2.el7.x86_64 92/112
インストール中 : python-IPy-0.75-6.el7.noarch 93/112
インストール中 : fros-1.0-2.el7.noarch 94/112
インストール中 : checkpolicy-2.5-6.el7.x86_64 95/112
インストール中 : json-glib-1.2.6-1.el7.x86_64 96/112
インストール中 : gtk3-3.22.26-4.el7_5.x86_64 97/112
インストール中 : libreport-gtk-2.1.11-40.el7.centos.x86_64 98/112
インストール中 : 1:emacs-filesystem-24.3-20.el7_4.noarch 99/112
インストール中 : desktop-file-utils-0.23-1.el7.x86_64 100/112
インストール中 : xdg-utils-1.1.0-0.17.20120809git.el7.noar 101/112
インストール中 : libsemanage-python-2.5-11.el7.x86_64 102/112
インストール中 : policycoreutils-python-2.5-22.el7.x86_64 103/112
インストール中 : setroubleshoot-plugins-3.0.66-2.1.el7.noa 104/112
インストール中 : setroubleshoot-server-3.2.29-3.el7.x86_64 105/112
インストール中 : setroubleshoot-3.2.29-3.el7.x86_64 106/112
インストール中 : setools-3.3.8-2.el7.x86_64 107/112
整理中 : audit-2.8.1-3.el7.x86_64 108/112
整理中 : systemd-sysv-219-57.el7.x86_64 109/112
整理中 : systemd-219-57.el7.x86_64 110/112
整理中 : audit-libs-2.8.1-3.el7.x86_64 111/112
整理中 : systemd-libs-219-57.el7.x86_64 112/112
検証中 : libXext-1.3.3-3.el7.x86_64 1/112
検証中 : libXi-1.7.9-1.el7.x86_64 2/112
検証中 : cairo-gobject-1.14.8-2.el7.x86_64 3/112
検証中 : libXrender-0.9.10-1.el7.x86_64 4/112
検証中 : libnotify-0.7.7-1.el7.x86_64 5/112
検証中 : libsemanage-python-2.5-11.el7.x86_64 6/112
検証中 : pygtk2-2.24.0-9.el7.x86_64 7/112
検証中 : setools-console-3.3.8-2.el7.x86_64 8/112
検証中 : policycoreutils-python-2.5-22.el7.x86_64 9/112
検証中 : libXcomposite-0.4.4-4.1.el7.x86_64 10/112
検証中 : 1:tk-8.5.13-6.el7.x86_64 11/112
検証中 : pango-1.40.4-1.el7.x86_64 12/112
検証中 : libwayland-client-1.14.0-2.el7.x86_64 13/112
検証中 : libreport-python-2.1.11-40.el7.centos.x86 14/112
検証中 : rest-0.8.0-2.el7.x86_64 15/112
検証中 : systemd-libs-219-57.el7_5.3.x86_64 16/112
検証中 : libsoup-2.56.0-6.el7.x86_64 17/112
検証中 : 1:emacs-filesystem-24.3-20.el7_4.noarch 18/112
検証中 : libreport-web-2.1.11-40.el7.centos.x86_64 19/112
検証中 : libtar-1.2.11-29.el7.x86_64 20/112
検証中 : json-glib-1.2.6-1.el7.x86_64 21/112
検証中 : checkpolicy-2.5-6.el7.x86_64 22/112
検証中 : mesa-libgbm-17.2.3-8.20171019.el7.x86_64 23/112
検証中 : bwidget-1.9.0-6.el7.noarch 24/112
検証中 : audit-libs-python-2.8.1-3.el7_5.1.x86_64 25/112
検証中 : xdg-utils-1.1.0-0.17.20120809git.el7.noar 26/112
検証中 : libusbx-1.0.21-1.el7.x86_64 27/112
検証中 : harfbuzz-1.3.2-1.el7.x86_64 28/112
検証中 : setools-libs-tcl-3.3.8-2.el7.x86_64 29/112
検証中 : fros-1.0-2.el7.noarch 30/112
検証中 : python-IPy-0.75-6.el7.noarch 31/112
検証中 : libXtst-1.2.3-1.el7.x86_64 32/112
検証中 : libmodman-2.0.1-8.el7.x86_64 33/112
検証中 : libXdamage-1.1.4-4.1.el7.x86_64 34/112
検証中 : systemd-sysv-219-57.el7_5.3.x86_64 35/112
検証中 : audit-libs-2.8.1-3.el7_5.1.x86_64 36/112
検証中 : pixman-0.34.0-1.el7.x86_64 37/112
検証中 : satyr-0.13-14.el7.x86_64 38/112
検証中 : libepoxy-1.3.1-2.el7_5.x86_64 39/112
検証中 : gtk3-3.22.26-4.el7_5.x86_64 40/112
検証中 : fontconfig-2.10.95-11.el7.x86_64 41/112
検証中 : libxkbcommon-0.7.1-1.el7.x86_64 42/112
検証中 : glib-networking-2.50.0-1.el7.x86_64 43/112
検証中 : at-spi2-core-2.22.0-1.el7.x86_64 44/112
検証中 : libXfixes-5.0.3-1.el7.x86_64 45/112
検証中 : adwaita-cursor-theme-3.26.0-1.el7.noarch 46/112
検証中 : libreport-filesystem-2.1.11-40.el7.centos 47/112
検証中 : 1:tcl-8.5.13-8.el7.x86_64 48/112
検証中 : libtiff-4.0.3-27.el7_3.x86_64 49/112
検証中 : setools-libs-3.3.8-2.el7.x86_64 50/112
検証中 : mesa-libglapi-17.2.3-8.20171019.el7.x86_6 51/112
検証中 : mesa-libwayland-egl-17.2.3-8.20171019.el7 52/112
検証中 : libreport-gtk-2.1.11-40.el7.centos.x86_64 53/112
検証中 : xkeyboard-config-2.20-1.el7.noarch 54/112
検証中 : colord-libs-1.3.4-1.el7.x86_64 55/112
検証中 : mesa-libEGL-17.2.3-8.20171019.el7.x86_64 56/112
検証中 : libwayland-cursor-1.14.0-2.el7.x86_64 57/112
検証中 : hicolor-icon-theme-0.12-7.el7.noarch 58/112
検証中 : avahi-libs-0.6.31-19.el7.x86_64 59/112
検証中 : jasper-libs-1.900.1-31.el7.x86_64 60/112
検証中 : setroubleshoot-3.2.29-3.el7.x86_64 61/112
検証中 : mesa-libGL-17.2.3-8.20171019.el7.x86_64 62/112
検証中 : pygobject2-2.28.6-11.el7.x86_64 63/112
検証中 : libcgroup-0.41-15.el7.x86_64 64/112
検証中 : xmlrpc-c-client-1.32.5-1905.svn2451.el7.x 65/112
検証中 : desktop-file-utils-0.23-1.el7.x86_64 66/112
検証中 : gsettings-desktop-schemas-3.24.1-2.el7_5. 67/112
検証中 : libXrandr-1.5.1-2.el7.x86_64 68/112
検証中 : gtk-update-icon-cache-3.22.26-4.el7_5.x86 69/112
検証中 : lcms2-2.6-3.el7.x86_64 70/112
検証中 : pycairo-1.8.10-8.el7.x86_64 71/112
検証中 : usermode-1.111-5.el7.x86_64 72/112
検証中 : at-spi2-atk-2.22.0-2.el7.x86_64 73/112
検証中 : libxshmfence-1.2-1.el7.x86_64 74/112
検証中 : setroubleshoot-server-3.2.29-3.el7.x86_64 75/112
検証中 : libreport-plugin-reportuploader-2.1.11-40 76/112
検証中 : xmlrpc-c-1.32.5-1905.svn2451.el7.x86_64 77/112
検証中 : libwayland-server-1.14.0-2.el7.x86_64 78/112
検証中 : setools-3.3.8-2.el7.x86_64 79/112
検証中 : atk-2.22.0-3.el7.x86_64 80/112
検証中 : systemd-python-219-57.el7_5.3.x86_64 81/112
検証中 : libXinerama-1.1.3-2.1.el7.x86_64 82/112
検証中 : libXxf86vm-1.1.4-1.el7.x86_64 83/112
検証中 : graphite2-1.3.10-1.el7_3.x86_64 84/112
検証中 : audit-2.8.1-3.el7_5.1.x86_64 85/112
検証中 : gtk2-2.24.31-1.el7.x86_64 86/112
検証中 : cairo-1.14.8-2.el7.x86_64 87/112
検証中 : setools-gui-3.3.8-2.el7.x86_64 88/112
検証中 : libthai-0.1.14-9.el7.x86_64 89/112
検証中 : libXft-2.3.2-2.el7.x86_64 90/112
検証中 : json-c-0.11-4.el7_0.x86_64 91/112
検証中 : libglade2-2.6.4-11.el7.x86_64 92/112
検証中 : libXcursor-1.1.14-8.el7.x86_64 93/112
検証中 : adwaita-icon-theme-3.26.0-1.el7.noarch 94/112
検証中 : libxml2-python-2.9.1-6.el7_2.3.x86_64 95/112
検証中 : setroubleshoot-plugins-3.0.66-2.1.el7.noa 96/112
検証中 : libgusb-0.2.9-1.el7.x86_64 97/112
検証中 : jbigkit-libs-2.0-11.el7.x86_64 98/112
検証中 : libproxy-0.4.11-11.el7.x86_64 99/112
検証中 : gdk-pixbuf2-2.36.5-1.el7.x86_64 100/112
検証中 : 1:cups-libs-1.6.3-35.el7.x86_64 101/112
検証中 : xml-common-0.6.3-39.el7.noarch 102/112
検証中 : libreport-2.1.11-40.el7.centos.x86_64 103/112
検証中 : augeas-libs-1.4.0-5.el7_5.1.x86_64 104/112
検証中 : pygtk2-libglade-2.24.0-9.el7.x86_64 105/112
検証中 : systemd-219-57.el7_5.3.x86_64 106/112
検証中 : dconf-0.26.0-3.el7_5.1.x86_64 107/112
検証中 : systemd-sysv-219-57.el7.x86_64 108/112
検証中 : audit-2.8.1-3.el7.x86_64 109/112
検証中 : audit-libs-2.8.1-3.el7.x86_64 110/112
検証中 : systemd-219-57.el7.x86_64 111/112
検証中 : systemd-libs-219-57.el7.x86_64 112/112

インストール:
setools.x86_64 0:3.3.8-2.el7 setroubleshoot.x86_64 0:3.2.29-3.el7

依存性関連をインストールしました:
adwaita-cursor-theme.noarch 0:3.26.0-1.el7
adwaita-icon-theme.noarch 0:3.26.0-1.el7
at-spi2-atk.x86_64 0:2.22.0-2.el7
at-spi2-core.x86_64 0:2.22.0-1.el7
atk.x86_64 0:2.22.0-3.el7
audit-libs-python.x86_64 0:2.8.1-3.el7_5.1
augeas-libs.x86_64 0:1.4.0-5.el7_5.1
avahi-libs.x86_64 0:0.6.31-19.el7
bwidget.noarch 0:1.9.0-6.el7
cairo.x86_64 0:1.14.8-2.el7
cairo-gobject.x86_64 0:1.14.8-2.el7
checkpolicy.x86_64 0:2.5-6.el7
colord-libs.x86_64 0:1.3.4-1.el7
cups-libs.x86_64 1:1.6.3-35.el7
dconf.x86_64 0:0.26.0-3.el7_5.1
desktop-file-utils.x86_64 0:0.23-1.el7
emacs-filesystem.noarch 1:24.3-20.el7_4
fontconfig.x86_64 0:2.10.95-11.el7
fros.noarch 0:1.0-2.el7
gdk-pixbuf2.x86_64 0:2.36.5-1.el7
glib-networking.x86_64 0:2.50.0-1.el7
graphite2.x86_64 0:1.3.10-1.el7_3
gsettings-desktop-schemas.x86_64 0:3.24.1-2.el7_5
gtk-update-icon-cache.x86_64 0:3.22.26-4.el7_5
gtk2.x86_64 0:2.24.31-1.el7
gtk3.x86_64 0:3.22.26-4.el7_5
harfbuzz.x86_64 0:1.3.2-1.el7
hicolor-icon-theme.noarch 0:0.12-7.el7
jasper-libs.x86_64 0:1.900.1-31.el7
jbigkit-libs.x86_64 0:2.0-11.el7
json-c.x86_64 0:0.11-4.el7_0
json-glib.x86_64 0:1.2.6-1.el7
lcms2.x86_64 0:2.6-3.el7
libXcomposite.x86_64 0:0.4.4-4.1.el7
libXcursor.x86_64 0:1.1.14-8.el7
libXdamage.x86_64 0:1.1.4-4.1.el7
libXext.x86_64 0:1.3.3-3.el7
libXfixes.x86_64 0:5.0.3-1.el7
libXft.x86_64 0:2.3.2-2.el7
libXi.x86_64 0:1.7.9-1.el7
libXinerama.x86_64 0:1.1.3-2.1.el7
libXrandr.x86_64 0:1.5.1-2.el7
libXrender.x86_64 0:0.9.10-1.el7
libXtst.x86_64 0:1.2.3-1.el7
libXxf86vm.x86_64 0:1.1.4-1.el7
libcgroup.x86_64 0:0.41-15.el7
libepoxy.x86_64 0:1.3.1-2.el7_5
libglade2.x86_64 0:2.6.4-11.el7
libgusb.x86_64 0:0.2.9-1.el7
libmodman.x86_64 0:2.0.1-8.el7
libnotify.x86_64 0:0.7.7-1.el7
libproxy.x86_64 0:0.4.11-11.el7
libreport.x86_64 0:2.1.11-40.el7.centos
libreport-filesystem.x86_64 0:2.1.11-40.el7.centos
libreport-gtk.x86_64 0:2.1.11-40.el7.centos
libreport-plugin-reportuploader.x86_64 0:2.1.11-40.el7.centos
libreport-python.x86_64 0:2.1.11-40.el7.centos
libreport-web.x86_64 0:2.1.11-40.el7.centos
libsemanage-python.x86_64 0:2.5-11.el7
libsoup.x86_64 0:2.56.0-6.el7
libtar.x86_64 0:1.2.11-29.el7
libthai.x86_64 0:0.1.14-9.el7
libtiff.x86_64 0:4.0.3-27.el7_3
libusbx.x86_64 0:1.0.21-1.el7
libwayland-client.x86_64 0:1.14.0-2.el7
libwayland-cursor.x86_64 0:1.14.0-2.el7
libwayland-server.x86_64 0:1.14.0-2.el7
libxkbcommon.x86_64 0:0.7.1-1.el7
libxml2-python.x86_64 0:2.9.1-6.el7_2.3
libxshmfence.x86_64 0:1.2-1.el7
mesa-libEGL.x86_64 0:17.2.3-8.20171019.el7
mesa-libGL.x86_64 0:17.2.3-8.20171019.el7
mesa-libgbm.x86_64 0:17.2.3-8.20171019.el7
mesa-libglapi.x86_64 0:17.2.3-8.20171019.el7
mesa-libwayland-egl.x86_64 0:17.2.3-8.20171019.el7
pango.x86_64 0:1.40.4-1.el7
pixman.x86_64 0:0.34.0-1.el7
policycoreutils-python.x86_64 0:2.5-22.el7
pycairo.x86_64 0:1.8.10-8.el7
pygobject2.x86_64 0:2.28.6-11.el7
pygtk2.x86_64 0:2.24.0-9.el7
pygtk2-libglade.x86_64 0:2.24.0-9.el7
python-IPy.noarch 0:0.75-6.el7
rest.x86_64 0:0.8.0-2.el7
satyr.x86_64 0:0.13-14.el7
setools-console.x86_64 0:3.3.8-2.el7
setools-gui.x86_64 0:3.3.8-2.el7
setools-libs.x86_64 0:3.3.8-2.el7
setools-libs-tcl.x86_64 0:3.3.8-2.el7
setroubleshoot-plugins.noarch 0:3.0.66-2.1.el7
setroubleshoot-server.x86_64 0:3.2.29-3.el7
systemd-python.x86_64 0:219-57.el7_5.3
tcl.x86_64 1:8.5.13-8.el7
tk.x86_64 1:8.5.13-6.el7
usermode.x86_64 0:1.111-5.el7
xdg-utils.noarch 0:1.1.0-0.17.20120809git.el7
xkeyboard-config.noarch 0:2.20-1.el7
xml-common.noarch 0:0.6.3-39.el7
xmlrpc-c.x86_64 0:1.32.5-1905.svn2451.el7
xmlrpc-c-client.x86_64 0:1.32.5-1905.svn2451.el7

依存性を更新しました:
audit.x86_64 0:2.8.1-3.el7_5.1 audit-libs.x86_64 0:2.8.1-3.el7_5.1
systemd.x86_64 0:219-57.el7_5.3 systemd-libs.x86_64 0:219-57.el7_5.3
systemd-sysv.x86_64 0:219-57.el7_5.3

完了しました!

 

インストールしたパッケージに含まれるsealertコマンドを実施します。

なお、sealertコマンドは、setroubleshootのclientツールです。

詳細は、以下で確認できます。

sealert(8): setroubleshoot client tool - Linux man page

 

/var/log/audit/audit.logを100%読み込むと、その結果が表示されます。

以下は読み込み中の状態。

f:id:opensourcetech:20181008114511p:plain

実行結果を見ると、「何が起こったか(原因)」「以下のコマンドを実行して、このアクセスを許可します(対応方法)」ということが確認できます。

[root@localhost audit]# sealert -a /var/log/audit/audit.log
100% done
found 3 alerts in /var/log/audit/audit.log
--------------------------------------------------------------------------------

SELinux により、/usr/sbin/zabbix_server_mysql による create アクセスが、sock_file zabbix_server_alerter.sock で拒否されました。

***** プラグイン catchall (100. 信頼性) による示唆****************************************

zabbix_server_mysql に、 zabbix_server_alerter.sock sock_file の create アクセスがデフォルトで許可されるべきと考える場合。
このようにします: バグとして報告してください。
ローカルのポリシーモジュールを生成すると、
このアクセスを許可することができます。
そして、以下を実行します:
以下のコマンドを実行して、このアクセスを許可します:
# ausearch -c 'zabbix_server' --raw | audit2allow -M my-zabbixserver
# semodule -i my-zabbixserver.pp


追加情報:
ソースコンテキスト system_u:system_r:zabbix_t:s0
ターゲットコンテキスト system_u:object_r:zabbix_var_run_t:s0
ターゲットオブジェクト zabbix_server_alerter.sock [ sock_file ]
ソース zabbix_server
ソースパス /usr/sbin/zabbix_server_mysql
ポート <Unknown>
ホスト <Unknown>
ソース RPM パッケージ zabbix-server-mysql-4.0.0-2.el7.x86_64
ターゲット RPM パッケージ
ポリシー RPM selinux-policy-3.13.1-192.el7.noarch
Selinux 有効化 True
ポリシータイプ targeted
強制モード Permissive
ホスト名 localhost.localdomain
プラットフォーム Linux localhost.localdomain 3.10.0-862.el7.x86_64
#1 SMP Fri Apr 20 16:44:24 UTC 2018 x86_64 x86_64
通知カウント 50
最初の画面 2018-10-06 00:11:55 JST
最後の画面 2018-10-07 23:05:24 JST
ローカル ID 1a07f816-ab0c-4f4d-94c2-5cde9785c25e

生の監査メッセージ
type=AVC msg=audit(1538921124.268:114): avc: denied { create } for pid=5506 comm="zabbix_server" name="zabbix_server_alerter.sock" scontext=system_u:system_r:zabbix_t:s0 tcontext=system_u:object_r:zabbix_var_run_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1538921124.268:114): arch=x86_64 syscall=bind success=yes exit=0 a0=7 a1=7ffcaff48ba0 a2=6e a3=8 items=0 ppid=1043 pid=5506 auid=4294967295 uid=997 gid=995 euid=997 suid=997 fsuid=997 egid=995 sgid=995 fsgid=995 tty=(none) ses=4294967295 comm=zabbix_server exe=/usr/sbin/zabbix_server_mysql subj=system_u:system_r:zabbix_t:s0 key=(null)

Hash: zabbix_server,zabbix_t,zabbix_var_run_t,sock_file,create

--------------------------------------------------------------------------------

SELinux により、/usr/sbin/httpd による name_connect アクセスが、tcp_socket port 10051 で拒否されました。

***** プラグイン catchall_boolean (47.5 信頼性) による示唆********************************

allow httpd to can network connect をする場合
このようにします: 'httpd_can_network_connect' boolean を有効にして、 これを SELinux で有効にします。

そして、以下を実行します:
setsebool -P httpd_can_network_connect 1

***** プラグイン catchall_boolean (47.5 信頼性) による示唆********************************

allow httpd to can connect zabbix をする場合
このようにします: 'httpd_can_connect_zabbix' boolean を有効にして、 これを SELinux で有効にします。

そして、以下を実行します:
setsebool -P httpd_can_connect_zabbix 1

***** プラグイン catchall (6.38 信頼性) による示唆****************************************

httpd に、 port 10051 tcp_socket の name_connect アクセスがデフォルトで許可されるべきと考える場合。
このようにします: バグとして報告してください。
ローカルのポリシーモジュールを生成すると、
このアクセスを許可することができます。
そして、以下を実行します:
以下のコマンドを実行して、このアクセスを許可します:
# ausearch -c 'httpd' --raw | audit2allow -M my-httpd
# semodule -i my-httpd.pp


追加情報:
ソースコンテキスト system_u:system_r:httpd_t:s0
ターゲットコンテキスト system_u:object_r:zabbix_port_t:s0
ターゲットオブジェクト port 10051 [ tcp_socket ]
ソース httpd
ソースパス /usr/sbin/httpd
ポート 10051
ホスト <Unknown>
ソース RPM パッケージ httpd-2.4.6-80.el7.centos.1.x86_64
ターゲット RPM パッケージ
ポリシー RPM selinux-policy-3.13.1-192.el7.noarch
Selinux 有効化 True
ポリシータイプ targeted
強制モード Permissive
ホスト名 localhost.localdomain
プラットフォーム Linux localhost.localdomain 3.10.0-862.el7.x86_64
#1 SMP Fri Apr 20 16:44:24 UTC 2018 x86_64 x86_64
通知カウント 906
最初の画面 2018-10-06 00:49:45 JST
最後の画面 2018-10-08 01:11:42 JST
ローカル ID 49da2e6b-ad9f-44e3-97a4-38ea69a036be

生の監査メッセージ
type=AVC msg=audit(1538928702.727:153): avc: denied { name_connect } for pid=2871 comm="httpd" dest=10051 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:zabbix_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1538928702.727:153): arch=x86_64 syscall=connect success=no exit=EINPROGRESS a0=b a1=558abae40b50 a2=10 a3=5bba303e items=0 ppid=991 pid=2871 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: httpd,httpd_t,zabbix_port_t,tcp_socket,name_connect

--------------------------------------------------------------------------------

SELinux により、/usr/sbin/zabbix_server_mysql による connectto アクセスが、unix_stream_socket /run/zabbix/zabbix_server_preprocessing.sock で拒否されました。

***** プラグイン catchall_boolean (89.3 信頼性) による示唆********************************

allow daemons to enable cluster mode をする場合
このようにします: 'daemons_enable_cluster_mode' boolean を有効にして、 これを SELinux で有効にします。

そして、以下を実行します:
setsebool -P daemons_enable_cluster_mode 1

***** プラグイン catchall (11.6 信頼性) による示唆****************************************

zabbix_server_mysql に、 zabbix_server_preprocessing.sock unix_stream_socket の connectto アクセスがデフォルトで許可されるべきと考える場合。
このようにします: バグとして報告してください。
ローカルのポリシーモジュールを生成すると、
このアクセスを許可することができます。
そして、以下を実行します:
以下のコマンドを実行して、このアクセスを許可します:
# ausearch -c 'zabbix_server' --raw | audit2allow -M my-zabbixserver
# semodule -i my-zabbixserver.pp


追加情報:
ソースコンテキスト system_u:system_r:zabbix_t:s0
ターゲットコンテキスト system_u:system_r:zabbix_t:s0
ターゲットオブジェクト /run/zabbix/zabbix_server_preprocessing.sock [
unix_stream_socket ]
ソース zabbix_server
ソースパス /usr/sbin/zabbix_server_mysql
ポート <Unknown>
ホスト <Unknown>
ソース RPM パッケージ zabbix-server-mysql-4.0.0-2.el7.x86_64
ターゲット RPM パッケージ
ポリシー RPM selinux-policy-3.13.1-192.el7.noarch
Selinux 有効化 True
ポリシータイプ targeted
強制モード Permissive
ホスト名 localhost.localdomain
プラットフォーム Linux localhost.localdomain 3.10.0-862.el7.x86_64
#1 SMP Fri Apr 20 16:44:24 UTC 2018 x86_64 x86_64
通知カウント 2
最初の画面 2018-10-07 23:02:39 JST
最後の画面 2018-10-07 23:05:24 JST
ローカル ID 9cee9dbb-ab7a-4e93-872e-29dce3a51bd2

生の監査メッセージ
type=AVC msg=audit(1538921124.279:115): avc: denied { connectto } for pid=5510 comm="zabbix_server" path="/run/zabbix/zabbix_server_preprocessing.sock" scontext=system_u:system_r:zabbix_t:s0 tcontext=system_u:system_r:zabbix_t:s0 tclass=unix_stream_socket


type=SYSCALL msg=audit(1538921124.279:115): arch=x86_64 syscall=connect success=yes exit=0 a0=7 a1=7ffcaff47e20 a2=6e a3=fffffe00 items=0 ppid=1043 pid=5510 auid=4294967295 uid=997 gid=995 euid=997 suid=997 fsuid=997 egid=995 sgid=995 fsgid=995 tty=(none) ses=4294967295 comm=zabbix_server exe=/usr/sbin/zabbix_server_mysql subj=system_u:system_r:zabbix_t:s0 key=(null)

Hash: zabbix_server,zabbix_t,zabbix_t,unix_stream_socket,connectto

 

 

 以下のメッセージに対する対応の場合、

# ausearch -c 'zabbix_server' --raw | audit2allow -M my-zabbixserver
# semodule -i my-zabbixserver.pp

この2コマンドを実施して、SELinuxにルールを追加します。

----------------------------------

SELinux により、/usr/sbin/zabbix_server_mysql による create アクセスが、sock_file zabbix_server_alerter.sock で拒否されました。

***** プラグイン catchall (100. 信頼性) による示唆****************************************

zabbix_server_mysql に、 zabbix_server_alerter.sock sock_file の create アクセスがデフォルトで許可されるべきと考える場合。
このようにします: バグとして報告してください。
ローカルのポリシーモジュールを生成すると、
このアクセスを許可することができます。
そして、以下を実行します:
以下のコマンドを実行して、このアクセスを許可します:
# ausearch -c 'zabbix_server' --raw | audit2allow -M my-zabbixserver
# semodule -i my-zabbixserver.pp

----------------------------------

[root@localhost audit]# ausearch -c 'zabbix_server' --raw | audit2allow -M my-zabbixserver
******************** IMPORTANT ***********************
To make this policy package active, execute:

semodule -i my-zabbixserver.pp

[root@localhost audit]# semodule -i my-zabbixserver.pp

 

 その他 出力されているメッセージについても、以下を実施します。

[root@localhost audit]# setsebool -P httpd_can_network_connect 1
[root@localhost audit]# setsebool -P httpd_can_connect_zabbix 1
[root@localhost audit]# ausearch -c 'httpd' --raw | audit2allow -M my-httpd
******************** IMPORTANT ***********************
To make this policy package active, execute:

semodule -i my-httpd.pp

[root@localhost audit]# semodule -i my-httpd.pp
[root@localhost audit]# setsebool -P daemons_enable_cluster_mode 1

 

 

 

 

GUI(Desktop)を使っている場合は、GUIトラブルシュートツールもあります。

f:id:opensourcetech:20181008120639p:plain

こちらについては、以下から確認してください。

www.serverlab.ca

 

 

 

 

 

 

www.slideshare.net

github.com

www.facebook.com

twitter.com

www.instagram.com

 

 

にほんブログ村 IT技術ブログ Linuxへ
Linux

にほんブログ村 IT技術ブログ オープンソースへ
オープンソース

 

 

Opensourcetech by Takahiro Kujirai